MAILQ(1)

NAME
mailq - print the mail queue

SYNOPSIS
mailq [-Ac] [-q...] [-v]

DESCRIPTION
Mailq prints a summary of the mail messages queued for future delivery.

The first line printed for each message shows the internal identifier used on this host for the message with a possible status character, the size of the message in bytes, the date and time the message was accepted into the queue, and the envelope sender of the message. The second line shows the error message that caused this message to be retained in the queue; it will not be present if the message is being processed for the first time. The status characters are either * to indicate the job is being processed; X to indicate that the load is too high to process the job; and - to indicate that the job is too young to process. The following lines show message recipients, one per line.

Mailq is identical to ``sendmail -bp''.

The relevant options are as follows:

-Ac Show the mail submission queue specified in /etc/mail/submit.cf instead of the MTA queue specified in /etc/mail/sendmail.cf.

-qL Show the "lost" items in the mail queue instead of the normal queue items.

-qQ Show the quarantined items in the mail queue instead of the normal queue items.

-q[!]I substr
    Limit processed jobs to those containing substr as a substring of the queue id or not when ! is specified.

-q[!]Q substr
    Limit processed jobs to quarantined jobs containing substr as a substring of the quarantine reason or not when ! is specified.

-q[!]R substr
    Limit processed jobs to those containing substr as a substring of one of the recipients or not when ! is specified.

-q[!]S substr
    Limit processed jobs to those containing substr as a substring of the sender or not when ! is specified.

-v  Print verbose information. This adds the priority of the message and a single character indicator (``+'' or blank) indicating whether a warning message has been sent on the first line of the message. Additionally, extra lines may be intermixed with the recipients indicating the ``controlling user'' information; this shows who will own any programs that are executed on behalf of this message and the name of the alias this command expanded from, if any. Moreover, status messages for each recipient are printed if available.

Several sendmail.cf options influence the behavior of the mailq utility: The number of items printed per queue group is restricted by MaxQueueRunSize if that value is set. The status character * is not printed for some values of QueueSortOrder, e.g., filename, random, modification, and none, unless a -q option is used to limit the processed jobs.

The mailq utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
sendmail(8)

HISTORY
The mailq command appeared in 4.0BSD.